summaryrefslogtreecommitdiff
path: root/gcc
diff options
context:
space:
mode:
authorNeal H. Walfield <neal@gnu.org>2008-11-19 10:28:47 +0100
committerNeal H. Walfield <neal@gnu.org>2008-11-19 10:28:47 +0100
commit136dc1b4e8ebb8ae08d72595a5731cd243d92fb1 (patch)
tree576889106507689512c11cae4f41fcfca105ca5e /gcc
parentcadfdbcc0128ca382f619d52a837167c6dc20782 (diff)
Start of x86_64 port.
/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * configure.ac: Rename amd64 to x86_64. Update users. binutils/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * patches/00-bfd-config-bfd.patch: New file. * patches/01-ld-configure-tgt.patch: New file. * Makefrag.am (patch_files): New variable. (EXTRA_DIST): Likewise. ($(addsuffix .applied,$(patch_files))): Depend on binutils/binutils/unpack.stamp and $(patch_files). Apply patches to the source tree. (rpatch): New rule. (binutils/binutils/patch.stamp): Also depend on the applied patch files. gcc/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * configury2.patch: New file. * Makefrag.am (gcc_patch_files): Add configury2.patch. (gcc/gcc.build/configure.stamp): Only add --with-arch for x86 machines. libl4/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * headers.m4: Only link the header files if $ARCH is ia32. libpthread/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * sysdeps/generic/bits/memory.h: New file. * sysdeps/generic/bits/spin-lock-inline.h: Likewise. * sysdeps/generic/bits/spin-lock.h: Likewise. * headers.m4: Link sysroot/include/bits/memory.h to libpthread/sysdeps/generic/bits/memory.h, sysroot/include/bits/spin-lock.h to libpthread/sysdeps/generic/bits/spin-lock.h, and sysroot/include/bits/spin-lock-inline.h to libpthread/sysdeps/generic/bits/spin-lock-inline.h. platform/ 2008-11-19 Neal H. Walfield <neal@gnu.org> * Makefile.am (ARCH_SUBDIR) [ARCH_X86_64]: Set to x86_64. * amd64/Makefile.am: Move from here... * x86_64/Makefile.am: ... to here. * amd64/bits/atomic.h: Move from here... * x86_64/bits/atomic.h: ... to here. * amd64/bits/endian.h: Move from here... * x86_64/bits/endian.h: ... to here. * amd64/bits/wordsize.h: Move from here... * x86_64/bits/wordsize.h: ... to here. * amd64/sys/io.h: Move from here... * x86_64/sys/io.h: ... to here.
Diffstat (limited to 'gcc')
-rw-r--r--gcc/ChangeLog7
-rw-r--r--gcc/Makefrag.am10
-rw-r--r--gcc/configury2.patch25
3 files changed, 40 insertions, 2 deletions
diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index cbbefdd..44cfbdf 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2008-11-19 Neal H. Walfield <neal@gnu.org>
+
+ * configury2.patch: New file.
+ * Makefrag.am (gcc_patch_files): Add configury2.patch.
+ (gcc/gcc.build/configure.stamp): Only add --with-arch for x86
+ machines.
+
2008-06-18 Thomas Schwinge <tschwinge@gnu.org>
* Makefrag.am (libstdc++)
diff --git a/gcc/Makefrag.am b/gcc/Makefrag.am
index c54dd7b..6a3e335 100644
--- a/gcc/Makefrag.am
+++ b/gcc/Makefrag.am
@@ -22,7 +22,8 @@ gcc_snapshot = $(addprefix ftp://ftp.gnu.org/gnu/gcc/gcc-$(gcc_version)/,$(1))
# Patches to apply to GCC's source tree.
gcc_patch_files = \
- configury.patch
+ configury.patch \
+ configury2.patch
$(addprefix $(srcdir)/gcc/,$(gcc_tarballs)): $(srcdir)/gcc/%:
cd $(srcdir)/gcc/ && \
@@ -61,6 +62,11 @@ gcc/gcc.build/configure.stamp: $(srcdir)/gcc/gcc/patch.stamp binutils/binutils.b
rm -rf gcc/gcc.build
mkdir -p gcc/gcc.build
( cd gcc/gcc.build && \
+ case "$(host_alias)" in \
+ i[34567]86-*-*) \
+ extra_args=--with-arch=$(word 1,$(subst -, ,$(host_alias))) \
+ ;; \
+ esac && \
$(abs_srcdir)/gcc/gcc/configure \
--target=$(host_alias) \
--prefix='$(abs_top_builddir)' \
@@ -71,7 +77,7 @@ gcc/gcc.build/configure.stamp: $(srcdir)/gcc/gcc/patch.stamp binutils/binutils.b
--without-headers \
--with-newlib \
--enable-languages=c,c++ \
- --with-arch=$(word 1,$(subst -, ,$(host_alias))) \
+ $$extra_args \
)
touch $@
diff --git a/gcc/configury2.patch b/gcc/configury2.patch
new file mode 100644
index 0000000..2443ff9
--- /dev/null
+++ b/gcc/configury2.patch
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+patch -p0 -f "$@" < $0
+exit "$?"
+
+
+Add x86_64 support.
+
+--- gcc/config.gcc~ 2008-11-03 12:51:22.000000000 +0100
++++ gcc/config.gcc 2008-11-18 16:16:15.000000000 +0100
+@@ -1091,12 +1091,13 @@ i[34567]86-*-linux* | i[34567]86-*-kfree
+ # TODO. GNU/Hurd originally didn't have `t-dfprules'.
+ tmake_file="${tmake_file} i386/t-crtstuff i386/t-crtfm t-dfprules"
+ ;;
+-x86_64-*-linux* | x86_64-*-kfreebsd*-gnu | x86_64-*-knetbsd*-gnu)
++x86_64-*-linux* | x86_64-*-kfreebsd*-gnu | x86_64-*-knetbsd*-gnu | x86_64-*-viengoos-gnu*)
+ tm_file="${tm_file} i386/unix.h i386/att.h dbxelf.h elfos.h svr4.h linux.h \
+ i386/x86-64.h i386/linux64.h"
+ case ${target} in
+ x86_64-*-kfreebsd*-gnu) tm_file="${tm_file} kfreebsd-gnu.h" ;;
+ x86_64-*-knetbsd*-gnu) tm_file="${tm_file} knetbsd-gnu.h" ;;
++ x86_64-*-viengoos-gnu*) tm_file="${tm_file} gnu.h viengoos.h i386/viengoos.h" ;;
+ esac
+ tmake_file="${tmake_file} i386/t-linux64 i386/t-crtfm t-dfprules"
+ ;;